# Contributing

## Releases
Whenever a new release of the program is made, there are a few things that should be updated:

* `CHANGELOG.md` -  Information the changes in the new release should be added.
* `pixelated-avatar-generator.cabal` - The version should be updated.

Once those changes have been made, a release for the application should be made on GitHub, and the following files should be included:

* `doc.zip` - A zip archive of the generated haddock documentation.
* `pixelated-avatar-generator` - An executable Linux binary of the program.

The Haddock documentation and Linux binary can be generated by running the following commands:

```
stack build
stack haddock
```

Once the release on GitHub has been made, the package should then be released on Hackage. This can be done by generating the package with the following command, and uploading it to Hackage.

```
stack sdist
```
